"""
Containers for session configuration objects.
"""
import grok
from zope.interface import implementedBy
from waeup.sirp.utils.helpers import attrs_to_fields
from waeup.sirp.configuration import (
    SessionConfigurationFactory, SessionConfiguration)
from waeup.custom.interfaces import (
    ISessionConfiguration, ISessionConfigurationAdd)


class SessionConfiguration(SessionConfiguration):
    """
    Customized session configuration model
    """

    grok.implements(ISessionConfiguration, ISessionConfigurationAdd)

SessionConfiguration = attrs_to_fields(SessionConfiguration)

class SessionConfigurationFactory(SessionConfigurationFactory):
    """A customized factory for session configuration objects.
    """

    def __call__(self, *args, **kw):
        return SessionConfiguration(*args, **kw)

    def getInterfaces(self):
        return implementedBy(SessionConfiguration)