##
## interfaces.py
from zope import schema
from waeup.sirp.interfaces import IWAeUPObject, academic_sessions_vocab

class ISessionConfiguration(IWAeUPObject):
    """A session configuration object.
    """

    academic_session = schema.Choice(
        title = u'Academic Session',
        source = academic_sessions_vocab,
        default = None,
        required = True,
        readonly = True
        )

    fee_1 = schema.Int(
        title = u'School Fee',
        default = 0,
        )

    surcharge_1 = schema.Int(
        title = u'Surcharge BT',
        default = 0,
        )

    surcharge_2 = schema.Int(
        title = u'Surcharge Interswitch',
        default = 0,
        )

    gown = schema.Int(
        title = u'Gown Fee',
        default = 0,
        )

    transfer = schema.Int(
        title = u'Transfer Fee',
        default = 0,
        )

    hostelmaintenance = schema.Int(
        title = u'Hostel Maintenance Fee',
        default = 0,
        )

    def getSessionString():
        """Returns the session string from the vocabulary.
        """


class ISessionConfigurationAdd(ISessionConfiguration):
    """A session configuration object in add mode.
    """

    academic_session = schema.Choice(
        title = u'Academic Session',
        source = academic_sessions_vocab,
        default = None,
        required = True,
        readonly = False,
        )

ISessionConfigurationAdd['academic_session'].order =  ISessionConfiguration[
    'academic_session'].order